---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    The console replaces each password… Reference for the GET
    /api/v1/database-services/{id}/config-files/{snapshot} endpoint in the
    TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: Get a config file version
  badge: GET
title: Get a config file version
type: openapi-operation
---
The console replaces each password with &lt;redacted> before it stores a version.

`GET /api/v1/database-services/{id}/config-files/{snapshot}`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "content": "string",
  "file": "string",
  "id": "string",
  "path": "string",
  "redacted": true,
  "server_id": "string",
  "sha256": "string",
  "source": "workflow",
  "taken_at": "2019-08-24T14:15:22Z",
  "workflow_id": "string"
}
```
